﻿@model IEnumerable<AirLab.Models.JsonResponse>
@{
    ViewBag.Title = "Home Page";
}
<style>
    table, th, td {
        border: 1px solid black;
    }
</style>
<div class="row">
    <div class="col-md-4">
        <h2>AirLab Details</h2>

        <label>Type</label>
        @using (Html.BeginForm("Index", "Home", FormMethod.Post))
        {
            <table cellpadding="5" width="100">
                <tr>
                    <th>Type</th>
                    <th> Airport Name </th>
                    <th> Get Data</th>
                </tr>
                <tr>
                    <td>
                        @Html.DropDownList("Types", new List<SelectListItem> {
                                                                   new SelectListItem { Text = "Select Type", Value = "Select Type" },
                                                                   new SelectListItem { Text = "SID", Value = "SID" },
                                                                   new SelectListItem { Text = "STARS", Value = "STARS" }
                                                                 })

                    </td>
                    <td>
                        @Html.DropDownList("AirPortNames", new List<SelectListItem> {
                                                                    new SelectListItem { Text = "Select Airport", Value = "Select Airport" },
                                                                    new SelectListItem { Text="WSSS", Value="WSSS"},
                                                                    new SelectListItem { Text = "WSSL", Value = "WSSL" }
                                                                  })
                    </td>
                    <td>
                        <input type="Submit" title="GetJsonResponse" value="Get JSON Result" />
                    </td>
                    </tr>
                <tr>
                    <td>
                        @Html.Raw(Json.Encode(ViewBag.JSONRespone))
                    </td>
                </tr>
                </table>
                }
        <br />
        <br />
                <table cellpadding="5" width="1000">
                    <tr>
                        <th>Type</th>
                        <th> Airport Name </th>
                        <th> Way Point Name And Count</th>
                    </tr>

                    @foreach (var item in Model)
                    {
                        <tr>
                            <td>

                                @Html.DisplayFor(model => item.Type)
                            </td>
                            <td>
                                @Html.DisplayFor(model => item.AirPortName)
                            </td>
                            <td>
                                @foreach (var waypointitem in item.JsonWayPoint)
                                {
                                    @Html.DisplayFor(model => waypointitem.waypointName)
                                    <style width="50px"></style>
                                                    @Html.DisplayFor(model => waypointitem.Count)
                                                    <br />
                                }
                            </td>
                        </tr>
                    }
                </table>
        </div>
    </div>